import DashboardPassengerBossComponent from "@/components/dashboard/passenger-boss";
import {parse} from "next-useragent";

export default function PassengerBoss() {
    return (
        <DashboardPassengerBossComponent/>
    );
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.passenger_boss_page",
            isBot,
            locale,
            layout: {name: 'DashboardLayout', props: {permissions: ["manage_province_working_group_navgan"]}}
        },
    };
}
